=== debian/changelog ===
lua-nginx-redis-connector (0.03-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 14 Dec 2015 22:41:39 +0800

lua-nginx-redis-connector (0.02-1) unstable; urgency=low

  * Initial release. Closes: #806838

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 02 Dec 2015 10:30:22 +0800
