=== debian/control ===
Source: lua-nginx-redis-connector
Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: interpreters
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-lua,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/lua-nginx-redis-connector.git/?h=debian/sid
Vcs-Git: git://anonscm.debian.org/collab-maint/lua-nginx-redis-connector.git -b debian/sid
Homepage: https://github.com/pintsized/lua-resty-redis-connector

Package: lua-nginx-redis-connector
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lua-nginx-redis
Description: Connection utilities for lua-nginx-redis
 Connection utilities for lua-resty-redis, making it easy and reliable to
 connect to Redis hosts, either directly or via Redis Sentinel.
