=== debian/watch ===
version=3
https://github.com/pintsized/lua-resty-redis-connector/releases .*/v([\d\.]*)\.tar.gz
