## lua-nginx-redis-connector 0.04

=== debian/changelog ===
lua-nginx-redis-connector (0.04-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.0.0.
  * Bump compat to 10.
  * Update Vcs-* fields.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 23 Jul 2017 15:15:40 +0800
