## lua-nginx-redis-connector 0.06

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 SHELL := /bin/bash # Cheat by using bash :)
 
-OPENRESTY_PREFIX    = /usr/local/openresty-debug
+OPENRESTY_PREFIX    = /usr/local/openresty
 
 TEST_FILE          ?= t
 SENTINEL_TEST_FILE ?= $(TEST_FILE)/sentinel
@@ -21,7 +21,7 @@
 REDIS_SLAVE_ARG                     := --slaveof 127.0.0.1 $(REDIS_FIRST_PORT)
 REDIS_CLI                           := redis-cli -p $(REDIS_FIRST_PORT) -n $(TEST_REDIS_DATABASE)
 
-# Override socket for running make test on its own 
+# Override socket for running make test on its own
 # (make test TEST_REDIS_SOCKET=/path/to/sock.sock)
 TEST_REDIS_SOCKET             ?= $(REDIS_PREFIX)$(REDIS_FIRST_PORT)$(REDIS_SOCK)
 
@@ -95,7 +95,7 @@
 	) true
 
 
-stop_redis_instances: delete_sentinel_config 
+stop_redis_instances: delete_sentinel_config
 	-@$(foreach port,$(TEST_REDIS_PORTS) $(TEST_SENTINEL_PORTS), \
 		$(MAKE) stop_redis_instance cleanup_redis_instance port=$(port) \
 		prefix=$(REDIS_PREFIX)$(port) && \
@@ -141,8 +141,11 @@
 	@$(foreach port,$(REDIS_PORTS),! lsof -i :$(port) &&) true 2>&1 > /dev/null
 
 test_redis: flush_db
+	util/lua-releng
+	@rm -f luacov.stats.out
 	$(TEST_REDIS_VARS) $(PROVE) $(TEST_FILE)
-	util/lua-releng
+	@luacov
+	@tail -7 luacov.report.out
 
 test_leak: flush_db
 	$(TEST_REDIS_VARS) TEST_NGINX_CHECK_LEAK=1 $(PROVE) $(TEST_FILE)
