=== debian/changelog ===
lua-nginx-redis-connector (0.06-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.2.
  * Update Vcs-* fields to salsa.debian.org.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 23 Dec 2017 17:07:25 +0800
