=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Priority: optional
 Build-Depends: debhelper (>= 10),
                dh-lua,
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/lua-nginx-redis-connector.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/lua-nginx-redis-connector.git
+Standards-Version: 4.1.2
+Vcs-Browser: https://salsa.debian.org/debian/lua-nginx-redis-connector
+Vcs-Git: https://salsa.debian.org/debian/lua-nginx-redis-connector.git
 Homepage: https://github.com/pintsized/lua-resty-redis-connector
 
 Package: lua-nginx-redis-connector
